# Uses of Interface
com.sun.source.doctree.SpecTree

Packages that use SpecTree
Package
Description
com.sun.source.doctree
Provides interfaces to represent documentation comments as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of SpecTree in com.sun.source.doctree

Methods in com.sun.source.doctree with parameters of type SpecTree
Modifier and Type
Method
Description
`default R`
DocTreeVisitor.`visitSpec(SpecTree node, P p)`
Visits a `SpecTree` node.

## Uses of SpecTree in com.sun.source.util

Methods in com.sun.source.util that return SpecTree
Modifier and Type
Method
Description
`SpecTree`
DocTreeFactory.`newSpecTree(TextTree url, List<? extends DocTree> title)`
Creates a new `SpecTree` object, to represent an `@spec` tag.
Methods in com.sun.source.util with parameters of type SpecTree
Modifier and Type
Method
Description
`R`
DocTreeScanner.`visitSpec(SpecTree node, P p)`
Visits a `SpecTree` node.
`R`
SimpleDocTreeVisitor.`visitSpec(SpecTree node, P p)`
Visits a `SpecTree` node.